Results 1 to 5 of 5

Thread: Bumblebee: No /proc/acpi/bbswitch

  1. #1
    Join Date
    Oct 2008
    Location
    Mojave desert
    Posts
    323

    Default Bumblebee: No /proc/acpi/bbswitch

    Howdy folks, I finally got optirun working. i7 with 940MX, fresh install of Tumbleweed (with KDE) + zyyper dup + remove nouveau driver and tlp, then followed instructions on the wiki: https://en.opensuse.org/SDB:NVIDIA_Bumblebee

    optirun glxgears works fine.

    optrun --status reports: Bumblebee status: Error (3.2.1): [XORG] (EE)

    cat /proc/acpi/bbswitch reports: No such file or directory

    modprobe bbswitch reports: FATAL: Module bbswitch not found in directory /lib/modules/5.2.8-1-default

    There's a file named bbswitch.ko in /lib/modules/5.2.1-1-default/updates, but symlinking it to /lib/modules/5.2.8-1-default (or the updates subdirectory thereof) makes no difference.

    Thanks for reading this far. I have 2 questions for the optimus gurus:

    First, how big a deal is this - does it actually need fixing?

    If so, what should I try - and what info should I collect - in order to fix it?

    GEF

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,076
    Blog Entries
    15

    Default Re: Bumblebee: No /proc/acpi/bbswitch

    Quote Originally Posted by gfagan View Post
    Howdy folks, I finally got optirun working. i7 with 940MX, fresh install of Tumbleweed (with KDE) + zyyper dup + remove nouveau driver and tlp, then followed instructions on the wiki: https://en.opensuse.org/SDB:NVIDIA_Bumblebee

    optirun glxgears works fine.

    optrun --status reports: Bumblebee status: Error (3.2.1): [XORG] (EE)

    cat /proc/acpi/bbswitch reports: No such file or directory

    modprobe bbswitch reports: FATAL: Module bbswitch not found in directory /lib/modules/5.2.8-1-default

    There's a file named bbswitch.ko in /lib/modules/5.2.1-1-default/updates, but symlinking it to /lib/modules/5.2.8-1-default (or the updates subdirectory thereof) makes no difference.

    Thanks for reading this far. I have 2 questions for the optimus gurus:

    First, how big a deal is this - does it actually need fixing?

    If so, what should I try - and what info should I collect - in order to fix it?

    GEF
    Hi
    You shouldn't create any symlinks, the system is clever enough to pop kernel modules in the weak-updates directory if they will run...

    Sounds like you need to wait for the updated bbswitch kmp (which is built for the 5.2.8 kernel https://build.opensuse.org/package/b...USE_Tumbleweed)

    Boot from the previous kernel until the update appears in the Tumbleweed repository.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: Bumblebee: No /proc/acpi/bbswitch

    Hello,

    Just trying to follow up on the issue related to this thread. Isn't `bbswitch` for kernel `5.2.8` already ready for download? I can see that from the download page you posted and also here: https://download.opensuse.org/reposi...andard/x86_64/. However, I was _not_ able to update my `bbswitch` from my `zypper`. It still shows `bbswitch` for kernel `5.2.1` is the highest version.

    I'm pretty sure my current kernel is indeed `5.2.8` and I forced to update all repos but still could not get the right `bbswitch` version. Please help. Thank you so much.

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,076
    Blog Entries
    15

    Default Re: Bumblebee: No /proc/acpi/bbswitch

    Quote Originally Posted by rollschild View Post
    Hello,

    Just trying to follow up on the issue related to this thread. Isn't `bbswitch` for kernel `5.2.8` already ready for download? I can see that from the download page you posted and also here: https://download.opensuse.org/reposi...andard/x86_64/. However, I was _not_ able to update my `bbswitch` from my `zypper`. It still shows `bbswitch` for kernel `5.2.1` is the highest version.

    I'm pretty sure my current kernel is indeed `5.2.8` and I forced to update all repos but still could not get the right `bbswitch` version. Please help. Thank you so much.
    Hi
    That repository is used if you were also running the Kernel Stable set of kernels etc, not Tumbleweed kernel.

    It's still not made it into the release, I'm assuming you need to add the https://download.opensuse.org/reposi...SE_Tumbleweed/ repository to get it....
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5

    Default Re: Bumblebee: No /proc/acpi/bbswitch

    Quote Originally Posted by malcolmlewis View Post
    Hi
    That repository is used if you were also running the Kernel Stable set of kernels etc, not Tumbleweed kernel.

    It's still not made it into the release, I'm assuming you need to add the https://download.opensuse.org/reposi...SE_Tumbleweed/ repository to get it....
    Thank you for the explanation. It indeed helped.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •